//===============================================================================
//  [SingularityCannon] 
//===============================================================================

class SingularityCannon extends Weapon;
#exec MESH  MODELIMPORT MESH=SingularityCannonMesh MODELFILE=models\SC_FP.PSK LODSTYLE=10
#exec MESH  ORIGIN MESH=SingularityCannonMesh X=0 Y=0 Z=0 YAW=0 PITCH=0 ROLL=0
#exec ANIM  IMPORT ANIM=SingularityCannonAnims ANIMFILE=models\SC_FP.PSA COMPRESS=1 MAXKEYS=999999
#exec MESHMAP   SCALE MESHMAP=SingularityCannonMesh X=1.0 Y=1.0 Z=1.0
#exec MESH  DEFAULTANIM MESH=SingularityCannonMesh ANIM=SingularityCannonAnims

// Animation sequences. These can replace or override the implicit (exporter-defined) sequences.
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPAmbientBase STARTFRAME=0 NUMFRAMES=8 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPDown STARTFRAME=8 NUMFRAMES=8 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPFire STARTFRAME=16 NUMFRAMES=69 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPPreFire STARTFRAME=85 NUMFRAMES=5 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPSelect STARTFRAME=90 NUMFRAMES=14 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPToothAmbientA STARTFRAME=104 NUMFRAMES=21 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPToothAmbientB STARTFRAME=125 NUMFRAMES=15 RATE=30.0000 COMPRESS=1.00 GROUP=None 
#EXEC ANIM  SEQUENCE ANIM=SingularityCannonAnims SEQ=SC_FPToothAmbientC STARTFRAME=140 NUMFRAMES=24 RATE=30.0000 COMPRESS=1.00 GROUP=None 

// Digest and compress the animation data. Must come after the sequence declarations.
// 'VERBOSE' gives more debugging info in UCC.log 
#exec ANIM DIGEST ANIM=SingularityCannonAnims  VERBOSE

#EXEC TEXTURE IMPORT NAME=SingularityCannonTex0  FILE=TEXTURES\weapon.tga  GROUP=Skins
#EXEC TEXTURE IMPORT NAME=SingularityCannonTex1  FILE=TEXTURES\head.tga  GROUP=Skins

#EXEC MESHMAP SETTEXTURE MESHMAP=SingularityCannonMesh NUM=0 TEXTURE=SingularityCannonTex0
#EXEC MESHMAP SETTEXTURE MESHMAP=SingularityCannonMesh NUM=1 TEXTURE=SingularityCannonTex1

// Original material [0] is [weapon] SkinIndex: 0 Bitmap: weapon.tga  Path:  
// Original material [1] is [head] SkinIndex: 0 Bitmap: head.tga  Path:  


defaultproperties
{
    Mesh=SingularityCannonMesh
    DrawType=DT_Mesh
    bStatic=False
}

